# Deploy to Appetize.io

[Appetize.io](https://appetize.io/) allows you to run Android and iOS apps on your browser. By using this service, it is possible to check the operations of the application without iOS certificates or provisioning profiles.

You can try experiencing Appetize.io’s services with [this demo](https://appetize.io/demo).

![](/files/iArtuxcl8nczZfx00YUt)

**How to get an API token**

1. Register and log into [Appetize.io](https://appetize.io/).
2. Open [account setting page](https://appetize.io/account) and click the **Request** button to acquire the API token.

![](/files/DaTLyk56MjCKiZhAufNx)

#### Adding the service to Monaca

After getting the API Token, you are ready to add Appetize.io to Monaca. Please do as follows:

1. From Monaca Cloud IDE menu, go to **Configure → Deploy Services** .
2. Click **Add Deploy Service**.
3. Select `AppetizeIo` and fill in the required information:
   * `Config Alias`: a unique identifier for each service
   * `API Token`: the API Token provided by Appetize.io

![](/files/-Mfj_2VhmlxtXslFlIFq)

4\. Then, click **Add**. That’s it. Now you can use Appetize’s simulator to install your build apps.

#### Parameters

You can use the following parameters in the JSON recipe script for Monaca CI. For more information, please refer to [Appetize.io documentation](https://appetize.io/docs#creating-apps).

| Parameter               | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| ----------------------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `platform`              | string      | \[Required] Must be `ios` or `android`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `timeout`               | number      | The number of seconds to wait until automatically ending the session due to user inactivity. Must be `30`, `60`, `90`, `120`, `180`, `300` or `600`. (Default is `120`)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `disableHome`           | boolean     | Disable the home button on the iOS simulator.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `disabled`              | boolean     | Disable the streaming of the app.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `useLastFrame`          | boolean     | Show the last image of the screen in the simulator after a session ends.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `buttonText`            | string      | Customize the message prompting the user to start the session. (Default is `Tap to play`)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `postSessionButtonText` | string      | Customize the message prompting the user to restart the session. (Default is `Tap to play`)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `launchUrl`             | string      | Specify a deep link to bring your users to a specific location when your app is launched.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `note`                  | string      | A note for your own purposes. It will appear on your management dashboard.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `appPermissions`        | JSON object | <p>Values can be <code>authenticated</code>, <code>public</code>, or <code>null</code> to reset to default. The keys can be: </p><ul><li><code>run</code>: run the app</li><li><code>networkProxy</code>: specify a network proxy when running the app</li><li><code>networkIntercept</code>: use Appetize.io’s intercepting proxy when running the app</li><li><code>debugLog</code>: view your app’s NSLog or Logcat output</li><li><code>adbConnect</code>: debug the app by connecting the ADB to the hosted emulator</li><li><code>androidPackageManager</code>: allow the installation of an additional APK’s while the app is running</li></ul> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/products_guide/monaca_ide/monaca_ci/appetizeio.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
